Microsoft SharePoint Server 2019 build < 16.0.10348.12104 Multiple Vulnerabilities

high Web Application Scanning Plugin ID 112339

Synopsis

Microsoft SharePoint Server 2019 build < 16.0.10348.12104 Multiple Vulnerabilities

Description

According to its self-reported version number, the Microsoft SharePoint application running on the remote host is affected by multiple vulnerabilities :

- An authentication bypass vulnerability exists in Windows Communication Foundation (WCF) and Windows Identity Foundation (WIF), allowing signing of SAML tokens with arbitrary symmetric keys.

- A cross-site-scripting (XSS) vulnerability exists when Microsoft SharePoint Server does not properly sanitize a specially crafted web request to an affected SharePoint server.

Note that the scanner has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Upgrade to Microsoft SharePoint Server 2019 build 16.0.10348.12104 or later.

See Also

https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2019-1006

https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2019-1134

Plugin Details

Severity: High

ID: 112339

Type: remote

Published: 4/29/2020

Updated: 10/7/2021

Scan Template: scan, pci, api

Risk Information

CVSS Score Source: CVE-2019-1006

CVSS v2

Risk Factor: Medium

Base Score: 5

Vector: AV:N/AC:L/Au:N/C:N/I:P/A:N

CVSS v3

Risk Factor: High

Base Score: 7.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N

Vulnerability Information

CPE: cpe:2.3:a:microsoft:sharepoint_server:*:*:*:*:*:*:*:*

Exploit Ease: No known exploits are available

Patch Publication Date: 7/15/2019

Vulnerability Publication Date: 7/15/2019

Reference Information

CVE: CVE-2019-1006, CVE-2019-1134